package tag;

import link.LinkUrl;

import java.util.Set;

public class TaggingUseCase {

	TagMatcherRepository tagMatcherRepository;

	public TaggingUseCase(TagMatcherRepository tagMatcherRepository) {
		this.tagMatcherRepository = tagMatcherRepository;
	}

	public Set<Tag> getTagsFor(LinkUrl url) {
		Set<Tag> result = Set.of();
		tagMatcherRepository.getTagMatchers().forEach(tagMatcher -> tagMatcher.ifMatches(url).addTo(result));
		return result;
	}

}
